#ifndef ADC_DEVICE_H_
#define ADC_DEVICE_H_

// C++ includes
#include <iostream>
#include <cstdint>
#include <stdio.h>
#include <vector>

class AdcDevice
{
    public:
        AdcDevice();
        ~AdcDevice();

        void initDevice();

        void setCrystalFrequency(uint32_t frequency);
        uint32_t getCrystalFrequency();

        void setSamplingRate(uint32_t rate);
        void setHighPassFilter(bool set);

        uint8_t getSpiAddress(void);

        uint8_t getGCTLData(void);
        uint8_t getGCTLAddress(void);

    private:
        uint32_t crystalFrequency;
        uint8_t  chipAddress;    // ADC SPI address
};

#endif // ADC_DEVICE_H_